# WoopsiUI::BitmapWrapper Class Reference

`#include <bitmapwrapper.h>`

Inheritance diagram for WoopsiUI::BitmapWrapper:

List of all members.

## Public Member Functions
| BitmapWrapper (const u16 *data, u16 width, u16 height)
virtual | ~BitmapWrapper ()
const u16 | getPixel (s16 x, s16 y) const
const u16 * | getData () const
const u16 * | getData (s16 x, s16 y) const
## Protected Member Functions
const u16 *_bitmap | __attribute__ ((aligned(4)))
| BitmapWrapper (const BitmapWrapper &bitmap)

## Detailed Description

Class designed as a wrapper for raw u16* data to enable it to be used as a Bitmap class. Since raw u16* data should be const, the bitmap is read-only.

## Constructor & Destructor Documentation

WoopsiUI::BitmapWrapper::BitmapWrapper | ( | const u16 * | data,
|  | u16 | width,
|  | u16 | height |
| ) |  |  |

Constructor.

Parameters:

  | data | Pointer to the raw bitmap data.
  | width | The width of the bitmap.
  | height | The height of the bitmap.

virtual WoopsiUI::BitmapWrapper::~BitmapWrapper | ( |  | ) | `[inline, virtual]`

Destructor.

WoopsiUI::BitmapWrapper::BitmapWrapper | ( | const BitmapWrapper & | bitmap | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

const u16* _bitmap WoopsiUI::BitmapWrapper::__attribute__ | ( | (aligned(4)) |  | ) | `[protected]`

Bitmap

const u16* WoopsiUI::BitmapWrapper::getData | ( | s16 | x,
|  | s16 | y |
| ) |  |  | const`[inline, virtual]`

Get a pointer to the internal bitmap data at the specified co-ordinates.

Parameters:

  | x | The x co-ord of the data.
  | y | The y co-ord of the data.

Returns:
  Pointer to the internal bitmap data.

Implements WoopsiUI::BitmapBase.

const u16* WoopsiUI::BitmapWrapper::getData | ( |  | ) | const`[inline, virtual]`

Get a pointer to the internal bitmap.

Returns:
  Pointer to the internal bitmap.

Implements WoopsiUI::BitmapBase.

const u16 WoopsiUI::BitmapWrapper::getPixel | ( | s16 | x,
|  | s16 | y |
| ) |  |  | const`[virtual]`

Get the colour of the pixel at the specified co-ordinates

Parameters:

  | x | The x co-ordinate of the pixel.
  | y | The y co-ordinate of the pixel.

Returns:
  The colour of the pixel.

Implements WoopsiUI::BitmapBase.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/bitmapwrapper.h